Package org.eclipse.mat.ui.snapshot.panes

## Enum CompareTablesPane.SetopOption

- java.lang.Object
- - java.lang.Enum<CompareTablesPane.SetopOption>
  - - org.eclipse.mat.ui.snapshot.panes.CompareTablesPane.SetopOption

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<CompareTablesPane.SetopOption>`

Enclosing class:
  CompareTablesPane

    public static enum CompareTablesPane.SetopOption
    extends java.lang.Enum<CompareTablesPane.SetopOption>

### Enum Constant Summary

Enum Constants
`ALL`
`DIFFERENCE`
`INTERSECTION`
`NONE`
`REVERSE_DIFFERENCE`
`SYMMETRIC_DIFFERENCE`
`UNION`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`
`static CompareTablesPane.SetopOption` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CompareTablesPane.SetopOption[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final CompareTablesPane.SetopOption NONE

#### ALL

    public static final CompareTablesPane.SetopOption ALL

#### INTERSECTION

    public static final CompareTablesPane.SetopOption INTERSECTION

#### UNION

    public static final CompareTablesPane.SetopOption UNION

#### SYMMETRIC_DIFFERENCE

    public static final CompareTablesPane.SetopOption SYMMETRIC_DIFFERENCE

#### DIFFERENCE

    public static final CompareTablesPane.SetopOption DIFFERENCE

#### REVERSE_DIFFERENCE

    public static final CompareTablesPane.SetopOption REVERSE_DIFFERENCE

### Method Detail

#### values

    public static CompareTablesPane.SetopOption[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CompareTablesPane.SetopOption c : CompareTablesPane.SetopOption.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CompareTablesPane.SetopOption valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Enum<CompareTablesPane.SetopOption>`